Skip to content

Download the Profiler Log for a specific profiling session. A profiling session log is a CSV which contains one row for each SDK request, with a maximum of 100,000 rows.

GET/api/{version}/code/profiler/{session_name}/results
NameDescription
Acceptapplication/json
NameDescription
{session_name}The name of the session, for example, baseline__c.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/code/profiler/baseline__c/results > file
Content-Type: application/zip;charset=UTF-8 Content-Disposition: attachment;filename="baseline__c.zip"

On SUCCESS, Vault downloads the results of the specified profiling session. The HTTP Response Header Content-Type is set to application/zip. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file.

The log is a CSV file with the following information for each SDK request:

NameDescription
timestampThe time this SDK request began executing.
user_idThe ID of the user who initiated this request.
user_nameThe user name of the user who initiated this request.
execution_idThis SDK request’s execution ID.
sdk_request_idThe ID of this SDK request.
sdk_countThe number of SDK entry points evoked during this request.
sdk_cpu_timeThe CPU time, in nanoseconds.
sdk_elapsed_timeThe total elapsed time, in milliseconds.
sdk_gross_memoryThe memory consumed, in bytes.